﻿@model IEnumerable<SSTC.Entity.User>

@{
    ViewBag.Title = "Użytkownicy";
}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function changeRowForEdit(el) {
        // show hide paragraph on button click
        $("#nameChange" + el).toggle("slow");
        $("#nameStatic" + el).toggle("slow");
        $("#surnameChange" + el).toggle("slow");
        $("#surnameStatic" + el).toggle("slow");
        $("#mailChange" + el).toggle("slow");
        $("#mailStatic" + el).toggle("slow");
        $("#dateOfContractStatic" + el).toggle("slow");
        $("#dateOfContract" + el).toggle("slow");
        $("#dateOfContractEndStatic" + el).toggle("slow");
        $("#dateOfContractEnd" + el).toggle("slow");
        $("#hoursDailyStatic" + el).toggle("slow");
        $("#hoursDaily" + el).toggle("slow");
        $("#grossAmountStatic" + el).toggle("slow");
        $("#grossAmount" + el).toggle("slow");
        $("#hourlyRateProjectStatic" + el).toggle("slow");
        $("#hourlyRateProject" + el).toggle("slow");
        $("#delete" + el).toggle();
        $("#save" + el).toggle();
}
</script>
<script>
    function showRowForUmowa(el) {
        // show hide paragraph on button click
        $("#umowa" + el).toggle("slow");
    }
</script>

<h2>Użytkownicy</h2>

<p>
    @Html.ActionLink("Dodaj nowgo użytkownika", "Create")
</p>

<div class="panel panel-default">

    <table class="table table-bordered table-condensed table-striped">
        <tr>
            <th>
                <span>Imie</span>
            </th>
            <th>
                <span>Nazwisko</span>
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Login)
            </th>
            <th>
                <span>Hasło</span>
            </th>
            <th>
                <span>Adres e-mail</span>
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            using (@Html.BeginForm())
            {
                <tr>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.Name</span>
                        <div id=@("nameChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Name)</div>
                    </td>
                    <td>
                        <span id=@("surnameStatic" + item.Id)>@item.Surname</span>
                        <div id=@("surnameChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Surname)</div>
                    </td>
                    <td>
                        <span id=@("loginStatic" + item.Id)>@item.Login</span>
                        <div id=@("loginChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Login)</div>
                    </td>
                    <td>
                        <span id=@("passwordStatic" + item.Id)>@item.Password</span>
                        <div id=@("passwordChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Password)</div>
                    </td>
                    <td>
                        <span id=@("mailStatic" + item.Id)>@item.Mail</span>
                        <div id=@("mailChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Mail)</div>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Umowa" onclick="showRowForUmowa('@item.Id')" />
                        <input class="btn btn-group btn-sm btn-primary edit" type="button" value="Edytuj" onclick="changeRowForEdit('@item.Id')" />
                        <input class="btn btn-group btn-sm btn-danger" id=@("delete" + item.Id) type="button" value="Usuń" onclick="location.href='@Url.Action("DeleteUser", "Admin", new { id = item.Id })'" />
                        @*<input class="btn btn-group btn-sm btn-success" id=@("save" + item.Id) type="button" value="Zapisz" style="display:none" onclick="location.href='@Url.Action("SaveUser", "Admin", item)'" />*@
                        <input class="btn btn-group btn-sm btn-success" id=@("save" + item.Id) type="submit" value="Zapisz" style="display:none" />
                    </td>
                </tr>
                <tr id=@("umowa" + item.Id) style="display:none">
                    <td style='border:none;'>
                        <span><b>Umowa obowiązuje od: </b></span><br/>
                        <span><b>Umowa obowiązuje do: </b></span><br />
                        <span><b>Wymiar godzinowy: </b></span><br />
                        <span><b>Wynagrodzenie brutto: </b></span><br />
                        <span><b>Stawka projektowa: </b></span>
                    </td>   
                    <td style='border:none;'>
                        <span id=@("dateOfContractStatic" + item.Id)>@item.Contract.DateOfContract.Date.ToShortDateString()</span>
                        <span id=@("dateOfContract" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Contract.DateOfContract, "{0:yyyy-MM-dd}" ,new { @type = "date", value = @item.Contract.DateOfContract.Date})</span><br />
                        <span id=@("dateOfContractEndStatic" + item.Id)>@item.Contract.DateOfContractEnd.Date.ToShortDateString()</span>
                        <span id=@("dateOfContractEnd" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Contract.DateOfContractEnd, "{0:yyyy-MM-dd}" ,new { @type = "date", value = @item.Contract.DateOfContractEnd.Date})</span><br />
                        <span id=@("hoursDailyStatic" + item.Id)>@item.Contract.HoursDaily</span>
                        <span id=@("hoursDaily" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Contract.HoursDaily)</span><br />
                        <span id=@("grossAmountStatic" + item.Id)>@item.Contract.GrossAmount</span>
                        <span id=@("grossAmount" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Contract.GrossAmount)</span><br />
                        <span id=@("hourlyRateProjectStatic" + item.Id)>@item.Contract.HourlyRateProject %</span>
                        <span id=@("hourlyRateProject" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Contract.HourlyRateProject)</span><br />
                    </td>
                </tr>
            }
        }
    </table>
</div>